---
title: Get Consent Category Change Log
slug: api-documentation/get-consent-category-change-log
docTags: 
createdAt: 2026-08-27T17:02:39.001Z
---

{
  "id": "cS6sVK7uPhHPylyAZXh66",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/customer/consent/categories/changelog",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/customer/consent/categories/changelog"
      }
    ],
    "name": "Get Consent Category Change Log",
    "description": "<p>Retrieves the change log for consent categories, including previous/new values and changed fields.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site."
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "categoryId",
          "type": "string<uuid>",
          "description": "Optional category ID to filter the change log.",
          "format": "uuid"
        },
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": "Maximum number of entries to return. Defaults to 1000.",
          "default": 1000,
          "format": "int32",
          "minimum": 1,
          "maximum": 5000
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Change log entries retrieved successfully",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "ConsentCategoryChangeLogEntry[]",
            "schema": [
              {
                "name": "version",
                "kind": "required",
                "type": "integer<int64>",
                "description": "",
                "format": "int64"
              },
              {
                "name": "categoryId",
                "kind": "required",
                "type": "string<uuid>",
                "description": "",
                "format": "uuid"
              },
              {
                "name": "operation",
                "kind": "required",
                "type": "string<CREATE | UPDATE | DELETE>",
                "description": "",
                "enum": [
                  "CREATE",
                  "UPDATE",
                  "DELETE"
                ]
              },
              {
                "name": "modifiedBy",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "modifiedAt",
                "kind": "required",
                "type": "string<date-time>",
                "description": "",
                "format": "date-time"
              },
              {
                "name": "previousValue",
                "kind": "optional",
                "type": "object",
                "description": "JSON object representing the category state before the change. Null for CREATE operations.",
                "example": "",
                "schema": []
              },
              {
                "name": "newValue",
                "kind": "optional",
                "type": "object",
                "description": "JSON object representing the category state after the change. Null for DELETE operations.",
                "example": "",
                "schema": []
              },
              {
                "name": "changedFields",
                "kind": "required",
                "type": "array",
                "description": "List of field names that changed. Empty for CREATE and DELETE.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "changeReason",
                "kind": "optional",
                "type": "string",
                "description": "Optional reason for the change."
              }
            ],
            "modelRef": "#/components/schemas/ConsentCategoryChangeLogEntry",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "UnauthorizedErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/UnauthorizedErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "423",
        "description": "<p>Consent Management is disabled or locked for the tenant, so consent operations are not allowed.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "Error response for validation errors",
            "customType": "ValidationErrorResponse[]",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "There was an internal server error.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "pyNEte8GfNzbcCV11vOcc",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.upstartcommerce.com/v1/customer/consent/categories/changelog?limit=1000' \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "YezsEuV6dGxW7ONLekE6X",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/customer/consent/categories/changelog?limit=1000\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "AeB_-D_sYOzq_uMkgDX2I",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/customer/consent/categories/changelog?limit=1000\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "ndkNCHs4oCN0mm1wCWvrk",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/customer/consent/categories/changelog?limit=1000\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "pyNEte8GfNzbcCV11vOcc"
    },
    "results": {
      "languages": [
        {
          "id": "YPkZfrdkbhJeSg8k0i_Xa",
          "language": "200",
          "code": "// Change log entries retrieved successfully\n[\n  {\n    \"version\": \"\",\n    \"categoryId\": \"\",\n    \"operation\": \"\",\n    \"modifiedBy\": \"\",\n    \"modifiedAt\": \"\",\n    \"previousValue\": {},\n    \"newValue\": {},\n    \"changedFields\": [\n      \"\"\n    ],\n    \"changeReason\": \"\"\n  }\n]"
        },
        {
          "id": "gNHRpTgjlo-VBjd4dH2bk",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "ahoQZ2iKpKIG3RzX15sgO",
          "language": "423",
          "code": "// Consent Management is disabled or locked for the tenant, so consent operations are not allowed.\n[\n  {\n    \"name\": \"\",\n    \"code\": \"\",\n    \"detail\": \"\",\n    \"reason\": \"\"\n  }\n]"
        },
        {
          "id": "ExbdNauc0e3akidxsNbvx",
          "language": "500",
          "code": "// There was an internal server error.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "YPkZfrdkbhJeSg8k0i_Xa"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}